Subject: Re: [PATCH v4 00/11] several notes refs, post-rewrite, notes rewriting

From: Thomas Rast <[email-masked]>
Date: Mon, 22 Feb 2010 01:32:53 +0100

On Monday 22 February 2010 01:25:02 Junio C Hamano wrote:
> Thomas Rast <[email-masked]> writes:
> 
> > core.notesRef should be in that list
> > implicitly, and I think the natural position if it is unsorted would
> > be: first.
> 
> I think that is a sane thing to do, and then any additional ones can come
> after that first one, in the order specified by displayRef.  Isn't that
> what you are doing, no?

Yes, I just wanted to spell out why I originally decided for the
sorted instead of user-ordered way:

> > However, that means that changing core.notesRef or GIT_NOTES_REF
> > can shuffle around your notes, which I thought would be confusing.

But that wasn't a strong preference at all, so doing it like you
suggested (and like the code is in v4) is fine by me.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch